package cn.com.v2.model;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * 字典(Dictionary)表实体类
 *
 * @author wu
 * @since 2025-04-21 14:18:32
 */
@Data
@ApiModel("字典实体类")
@TableName(value = "dictionary")
public class Dictionary implements Serializable {

    private static final long serialVersionUID = -48691319489377843L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 字典类型
     */
    @ApiModelProperty(value = "字典类型")
    private String dictType;

    /**
     * 字典值
     */
    @ApiModelProperty(value = "字典值")
    private Integer dictKey;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String dictValue;

}

