package cn.com.v2.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * (THistoricalReply)表实体类
 *
 * @author wu
 * @since 2025-04-18 09:34:28
 */
@Data
@ApiModel("实体类")
@TableName(value = "t_historical_reply")
public class HistoricalReply implements Serializable {

    private static final long serialVersionUID = 204285435715666589L;

    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    private String content;

    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    private String createUserId;

}

